import Backend from "./utils/Backend";
import { BlockchainName, DevType } from "./typings";
import EventManager from "./utils/EventManager";
export default class Template {
    publicKey: string;
    userId: string;
    state: any;
    type: DevType;
    backend: Backend;
    eventManager: EventManager;
    selectedBlockchainName: BlockchainName;
    constructor(publicKey: string, userId: string);
    create(tag: string): {
        on: (eventName: "withdraw", callback: (data: any) => void) => void;
    };
}
