import { BlockchainName, DollarsAsString } from "../typings";
declare type WithdrawData = {
    address: string;
    amount: {
        crypto: string;
        fiat: {
            currency: "usd";
            amount: DollarsAsString;
        };
    };
    blockchainName: BlockchainName;
};
declare type Events = "withdraw";
export default class {
    private listeners;
    private events;
    on(eventName: Events, callback: (data: any) => void): void;
    trigger(eventName: Events, args: WithdrawData): void;
}
export {};
